#!/usr/bin/perl
use strict;
use warnings;
use IO::CaptureOutput qw/capture_exec/;
use IO::File;
$| = 1;
my $stdout0 = $ARGV[0]; # This is actually stdin

my $cmd1 = "./script+1.pl -h -x";
my ($stdout1, $stderr1, $success1, $exit_code1) = capture_exec( $cmd1 . "<<END\n" . $stdout0 . "\nEND" );
if ($?) { die "**** The process $cmd1 does not exist! ****"; }
if (not $success1) { die "**** The process $cmd1 failed with msg: $stderr1 ! ****"; }

my $cmd2 = "./script+1.pl -x -r";
my ($stdout2, $stderr2, $success2, $exit_code2) = capture_exec( $cmd2 . "<<END\n" . $stdout1 . "\nEND" );
if ($?) { die "**** The process $cmd2 does not exist! ****"; }
if (not $success2) { die "**** The process $cmd2 failed with msg: $stderr2 ! ****"; }

print $stdout2;
